Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "3cf6b151-3417-4e55-bf0a-8e81b1d65641",
"jobs_id": "5064a66b-b9c9-4f35-9041-8ceb76f53b0a",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "d0d34dd1-8546-4762-8af5-1da238e4b3e8",
"_parent_id": "699fbea9-a305-4146-86ec-712f5b84dc0d",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "2f1b5880-d636-4bed-a1fa-f8d1743dad9e",
"project_reference_back_office": "sample string 5",
"project": {
"id": "affab4c7-1a21-4f85-b122-0b80c898e8c4",
"_parent_id": "7f66e22a-37b9-458a-b814-1b34c4017a0b",
"root_parent_id": "c8c6c278-bd74-4e26-9cce-a5c1913be199",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "7c5649e6-92d1-4b15-9368-89b0b7c36193",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "803a2b23-4e3b-4f5a-b5f2-87c342fcfeac",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "82484889-46c9-48e2-a158-65886f50989c",
"_parent_code": "sample string 6",
"sales_organization_id": "0175ef74-aef5-4d86-bca3-2b5a1394fe97",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"equipment_model_id": "bb7e19e1-5245-4a2e-95d5-68528c4aa083",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "2e1f9f82-5ff7-429b-b60c-62e8e9a79a98",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "5b511d95-6113-4e94-8a94-ac4106b97b50",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "4576dd52-d584-480e-8259-feedea05e474",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "edbda414-6cdd-45a2-9165-cd6503285a0c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"equipment_family_id": "3bdc04ab-0d0d-4d53-b1c2-3b37daffc258",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "803a2b23-4e3b-4f5a-b5f2-87c342fcfeac",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "82484889-46c9-48e2-a158-65886f50989c",
"_parent_code": "sample string 6",
"sales_organization_id": "0175ef74-aef5-4d86-bca3-2b5a1394fe97",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"date_in_production_since": "2026-10-15T14:07:35.9905172+00:00",
"date_out_of_production_since": "2026-10-15T14:07:35.9905172+00:00",
"date_end_support": "2026-10-15T14:07:35.9905172+00:00",
"sales_organization_id": "53dc0299-da04-413f-b9cd-350962dcd357",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"project_status_id": "57147f4a-2b97-4e7f-85e8-e770b18dc0de",
"project_status_code": "sample string 10",
"project_status": {
"id": "aba7109b-a60f-48c2-9ebc-49038783a77d",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "df0a6d00-3cd9-4a7b-ade8-87c842946a88",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"company_id": "0ad212f5-d067-46b0-80e0-b8d64ec8f135",
"company_code": "sample string 12",
"db_address_id": "5273024f-e544-497d-b4aa-073ba2c01286",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "7247208f-dd3a-4830-8074-951d0b5bf42d",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "b50f954b-40b7-4607-a339-4fb77d7a46cb",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-15T14:07:35.9905172+00:00",
"date_create": "2026-10-15T14:07:35.9905172+00:00",
"date_update": "2026-10-15T14:07:35.9905172+00:00",
"updated_by_user_id": "37b30e23-a65d-4b33-9691-33ea5ea78ef0",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-15T14:07:35.9905172+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-15T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-15T14:07:35.9905172+00:00",
"date_last_job": "2026-10-15T14:07:35.9905172+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-15T14:07:35.9905172+00:00",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00",
"is_mobile_installation": true
},
"job_type_id": "36ea92db-c3f0-48d4-a12b-741852795f9d",
"job_type_code": "sample string 7",
"job_type": {
"id": "db34bb93-2564-4523-a279-39f44acdec88",
"name": "sample string 2",
"sales_organization_id": "f393dc76-56f9-464e-93d5-af59ca7d1bd3",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00",
"code": "sample string 7"
},
"job_priority_id": "a071e6d8-5489-441f-b712-f8a0209d8f46",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "36877e30-bab5-439d-aa11-4c2e9c276a0c",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "e477f718-ff0e-4aff-872d-d8e83442e76a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"job_status_id": "83b6e426-7978-4521-ba3f-d408d473eb31",
"job_status_code": "sample string 11",
"db_address_id": "677c2bcb-47fd-45c9-8abe-635fffca7f96",
"contact_id": "5edab754-e26e-4f0a-80a4-7ca1e6d70d55",
"requested_by_company_id": "b030bc7a-ade3-491d-8373-8447e32a3b93",
"requested_by_contact_id": "e561d417-59ec-4a74-bb5f-78e1481faaec",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-15T14:07:35.9905172+00:00",
"due_date": "2026-10-15T14:07:35.9905172+00:00",
"date_create": "2026-10-15T14:07:35.9905172+00:00",
"date_update": "2026-10-15T14:07:35.9905172+00:00",
"date_closed": "2026-10-15T14:07:35.9905172+00:00",
"suggested_user_id": "675c328d-8e94-4a54-9526-31abc62ada2b",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "bde8e3dd-edf6-4ee5-adba-bcc98ebff2fd",
"db_language_id": "bd787261-c03f-4a95-a5ae-4693e39c7509",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-15T14:07:35.9905172+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "8564580f-2300-4f95-b174-df8e369c7dcf",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "4c453dc7-1ec3-4cbf-ad53-ad920e254b8b",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "91c206fe-9555-4b73-944f-446d9297d5b0",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "b78ed786-c7d5-4af2-8b8f-4d6d5bcf9b86"
},
"suggested_date_start": "2026-10-15T14:07:35.9905172+00:00",
"skill_id": "ccb06b06-42b8-41d4-abc8-3bde3db2b2f6",
"skill_code": "sample string 32",
"skill": {
"id": "124adb5b-8c10-4ae0-bdb0-069338d7e411",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "cbd6ebdf-c18b-4e9e-89fe-1f74eb78ac8e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5aefb75c-8329-4da6-8252-cb9ecf7e1f0c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6c4bb60b-e205-4577-8520-b3271e9269de",
"db_currency_id": "c2a6850d-0c55-46bb-b505-98d00718e028",
"db_language_id": "e389040f-d4d1-4408-891a-a64812a0a0fb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "97448e3a-def1-4d78-baaa-be6bc3af2d2f",
"date_reported_by_company": "2026-10-15T14:07:35.9905172+00:00",
"id2": 36,
"company_id": "2c56dcfa-c2b6-497d-aeb6-e097c0d3deb1",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "268aab0b-31e7-43dd-a2cc-a9e340182b87",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
},
"work_instruction_details_id": "959b2aec-6b17-4de0-8781-3910addc383a",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "951e36fa-6d2f-45cc-88c3-a2445d5cffd8",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "ecc7b066-6729-455e-8afd-f2b8efb5eea8",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-15T14:07:35.9905172+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "3ab305ad-f252-407d-987d-7fafca5011f7",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-15T14:07:35.9905172+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.